List pre-auction quotes
curl --request GET \
--url https://br-consignado-gw.sandbox.lerian.net/v1/consignado/originadores/{originador_id}/preleilao/cotacoes \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://br-consignado-gw.sandbox.lerian.net/v1/consignado/originadores/{originador_id}/preleilao/cotacoes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://br-consignado-gw.sandbox.lerian.net/v1/consignado/originadores/{originador_id}/preleilao/cotacoes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://br-consignado-gw.sandbox.lerian.net/v1/consignado/originadores/{originador_id}/preleilao/cotacoes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"fundoRef": "fundo-a",
"id": "0198f2c1-0000-7000-8000-0000000000a2",
"idSolicitacao": "18406",
"numeroParcelas": 12,
"numeroPropostaComGarantia": "3W5X2Y4Z7K9M2P4R6T8V",
"numeroPropostaSemGarantia": "7K9M2P4R6T8V3W5X2Y4Z",
"originadorRef": "originador-a",
"railCodigo": "BL",
"receivedAt": "2026-11-04T15:03:21Z",
"resolvedAt": "2026-11-04T15:10:04Z",
"revisao": 1,
"status": "received",
"valorCetAnual": "30.50",
"valorCetMensal": "2.20",
"valorLiberado": "1000.00",
"valorParcela": "150.00"
}
],
"page": {
"after": "eyJ2IjoxLCJyIjoiYm9hcmQiLCJ0IjoiMjAyNi0wOC0xNFQwOToxMjozM1oiLCJrIjpbImMwMDEyIl19",
"has_more": true,
"next_after": "eyJ2IjoxLCJyIjoiYm9hcmQiLCJ0IjoiMjAyNi0wOC0xNFQwOTowNzo1MVoiLCJrIjpbImMwMDM3Il19"
}
}{
"code": "AUT-0033",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "AUT-0033",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "AUT-0033",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "AUT-0033",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "AUT-0033",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "AUT-0033",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}List pre-auction quotes
Walks the tenant’s pre-auction quotes, newest first, with keyset paging. Never carries the election rank or skip reason. An originador reads only its own quotes.
Partner route: the text above describes the party’s own route. Here the register id in the path names the party: it must be in the partner credential’s scope and registered under the caller’s tenant, and the call runs as that party, exactly as the party’s own credential would. An originador the bancarizador deactivated is refused 403 ORIGINADOR_DEACTIVATED until it is reactivated.
GET
/
v1
/
consignado
/
originadores
/
{originador_id}
/
preleilao
/
cotacoes
List pre-auction quotes
curl --request GET \
--url https://br-consignado-gw.sandbox.lerian.net/v1/consignado/originadores/{originador_id}/preleilao/cotacoes \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://br-consignado-gw.sandbox.lerian.net/v1/consignado/originadores/{originador_id}/preleilao/cotacoes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://br-consignado-gw.sandbox.lerian.net/v1/consignado/originadores/{originador_id}/preleilao/cotacoes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://br-consignado-gw.sandbox.lerian.net/v1/consignado/originadores/{originador_id}/preleilao/cotacoes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"fundoRef": "fundo-a",
"id": "0198f2c1-0000-7000-8000-0000000000a2",
"idSolicitacao": "18406",
"numeroParcelas": 12,
"numeroPropostaComGarantia": "3W5X2Y4Z7K9M2P4R6T8V",
"numeroPropostaSemGarantia": "7K9M2P4R6T8V3W5X2Y4Z",
"originadorRef": "originador-a",
"railCodigo": "BL",
"receivedAt": "2026-11-04T15:03:21Z",
"resolvedAt": "2026-11-04T15:10:04Z",
"revisao": 1,
"status": "received",
"valorCetAnual": "30.50",
"valorCetMensal": "2.20",
"valorLiberado": "1000.00",
"valorParcela": "150.00"
}
],
"page": {
"after": "eyJ2IjoxLCJyIjoiYm9hcmQiLCJ0IjoiMjAyNi0wOC0xNFQwOToxMjozM1oiLCJrIjpbImMwMDEyIl19",
"has_more": true,
"next_after": "eyJ2IjoxLCJyIjoiYm9hcmQiLCJ0IjoiMjAyNi0wOC0xNFQwOTowNzo1MVoiLCJrIjpbImMwMDM3Il19"
}
}{
"code": "AUT-0033",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "AUT-0033",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "AUT-0033",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "AUT-0033",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "AUT-0033",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"code": "AUT-0033",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Parámetros de ruta
Parámetros de consulta
¿Esta página le ayudó?

